'From Squeak 1.2 of June 29, 1997 on 19 October 1998 at 9:03:38 am'!Object subclass: #Experiment
	instanceVariableNames: 'age '
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Libraries'!

!Experiment methodsFor: 'get/set'!
age
	^age! !

age: anInteger
	age := anInteger! !


complex
	"Experiment new complex"
	Smalltalk. Junk1. Junk2. Parser.
	^1 + ({:in long Junk1, long Scanner, long Object; :out long;
		return toLong (1);} ifFail: [self fail])! !


!Experiment methodsFor: 'debugging'!
test1: data
	"Junk1 := 20. Junk2 := 30. Experiment new test1: 100"
	| more |
	more := 10.
	^1 + {:in long data, long more, long Junk1, ? Junk2; :out long;
		long junk2 = isLong (Junk2) ? asLong (Junk2) : fail ();
		return toLong (data + more +  Junk1 + junk2);} + 1! !

!Experiment methodsFor: 'debugging'!
test1: data1 and: data2
	"Junk1 := 20. Junk2 := 30. Experiment new test1: 100 and: 200"
	| more1 more2 |
	more1 := 10.
	^1 + ({:in long data1, long more1, long Junk1, ? Junk2; :out long;
		long junk2 = isLong (Junk2) ? asLong (Junk2) : fail ();
		return toLong (data1 + more1 +  Junk1 + junk2);} ifFail: [self fail]) + 1! !

!Experiment methodsFor: 'debugging' stamp: 'The Ghost 10/9/98 07:56'!
test2
	{:module
long test () {
	return 1;
}
}! !

!Experiment methodsFor: 'debugging'!
try1
	"Experiment new try1"
	| more |
	more := 10.
	^1 + {:in long more; :out long;
		return toLong (more);} + 1! !

!Experiment methodsFor: 'debugging'!
try2: data
	"Experiment new try2: 10"
	^2300 plus: {:in long data; :out long;  
		return toLong (data);}! !

!Experiment methodsFor: 'debugging'!
try3
	"Experiment new try3"
	1 to: 10 do: [:index |
		^1 + {:in long index; :out long;
			return toLong (index);} + 1].
	^10! !

!Experiment methodsFor: 'debugging'!
try4
	"Experiment new try4"
	Junk1 := 10.
	^1 + ({:in long Junk1; :out long;
		return toLong (Junk1);} ifFail: [self fail]) + 1! !

!Experiment methodsFor: 'debugging'!
try5
	"Experiment new try5"
	| more |
	"Should cause a failure."
	more := $a.
	^1 + ({:in long more; :out long;
		return toLong (more);} ifFail: [self fail]) + 1! !

!Experiment methodsFor: 'debugging'!
try6
	"Experiment new try6"
	| more |
	"Should cause a failure."
	more := $a.
	^1 + {:in long more; :out long;
		return toLong (more);} + 1! !

"-- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- "!

Experiment class
	instanceVariableNames: ''!

!Experiment class methodsFor: 'querying' stamp: 'The Ghost 9/24/98 08:50'!
confirm: confirmString
	SelectionMenu confirm: confirmString! !

!Experiment class methodsFor: 'querying' stamp: 'The Ghost 9/24/98 08:50'!
message: messageString
	| menu |
	menu _ SelectionMenu selections: #().
	menu startUpWithCaption: messageString! !

!Experiment class methodsFor: 'querying' stamp: 'The Ghost 9/24/98 08:51'!
threeStateNotify: messageString withText: titleString
	| menu reply |
	menu _ SelectionMenu selections: #(yes no cancel).
	reply := menu startUpWithCaption: titleString, (String with: Character cr), messageString.
	reply == #yes ifTrue: [^true].
	reply == #no ifTrue: [^false].
	^nil! !

